CREATE TABLE dbo.depersondatasource (
  depersondatasource_id int IDENTITY(1, 1) NOT NULL,
  code nvarchar(64) NOT NULL,
  PRIMARY KEY CLUSTERED (depersondatasource_id),
  UNIQUE (code)    
)
GO

CREATE TABLE dbo.depersontable (
  depersontable_id int IDENTITY(1, 1) NOT NULL,
  originalvaluetype int NOT NULL,
  originalvalue nvarchar(2048) NOT NULL,
  depersonvalue nvarchar(256) NOT NULL,
  depersondatasource_id int NOT NULL,
  PRIMARY KEY CLUSTERED (depersontable_id),
  CONSTRAINT FK_depersontable_datasource FOREIGN KEY (depersondatasource_id) 
  REFERENCES dbo.depersondatasource (depersondatasource_id)  
)
GO

